## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNumber Class Reference

`#include <XNumber.hpp>`

Inheritance diagram for XNumber:

[legend]
Collaboration diagram for XNumber:

[legend]
List of all members.

## Public Methods

- XNumber (double val, MemoryManagerType &theManager)
    Create an XNumber from a number. More...
- XNumber (const XNumber &source, MemoryManagerType &theManager)
- virtual ~XNumber ()
- virtual double num () const
    Cast result object to a number. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...
- void set (double theValue)
    Change the value of an XNumber. More...

## Constructor & Destructor Documentation

XNumber::XNumber ( | double val,
| MemoryManagerType & theManager )

Create an XNumber from a number.

Parameters:

  val | numeric value to use

XNumber::XNumber ( | const XNumber & source,
| MemoryManagerType & theManager )

XNumber::~XNumber ( | )`[virtual]`

## Member Function Documentation

double XNumber::num ( | ) const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XNumberBase.

void XNumber::set ( | double theValue )

Change the value of an XNumber.

Parameters:

  theValue | The new value.

void XNumber::str ( | XalanDOMString & theBuffer ) const`[virtual]`

Append the string value directly a string.

Parameters:

  theBuffer | The buffer for the data

Reimplemented from XObject.

void XNumber::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XNumberBase.

const XalanDOMString & XNumber::str ( | ) const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XNumberBase.

double XNumber::stringLength ( | ) const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XNumberBase.

The documentation for this class was generated from the following file:

- XNumber.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.